#version 330

uniform vec2 orthoTransformation;

in vec2 position;
in vec2 uv;

out vec2 fragUv;

void main() 
{
	// Pass to fragment shader
	fragUv = uv;

	// Calculate normal device coordinates of vertex
	vec2 ndcPos = position;
	ndcPos.x = ndcPos.x * orthoTransformation.x - 1;
	ndcPos.y = ndcPos.y * orthoTransformation.y - 1;
	gl_Position = vec4(ndcPos.x, ndcPos.y, 0, 1);
}